idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.Elab.Interface

Description

# Documentation

elabInterface #

Arguments

:: ElabInfo |
-> SyntaxInfo |
-> Docstring (Either Err PTerm) |
-> ElabWhat |
-> FC |
-> [(Name, PTerm)] | Superclass constraints
-> Name |
-> FC |
-> [(Name, FC, PTerm)] | Parameters
-> [(Name, Docstring (Either Err PTerm))] |
-> [(Name, FC)] | determining params
-> [PDecl] | interface body
-> Maybe (Name, FC) | implementation ctor name and location
-> Docstring (Either Err PTerm) | implementation ctor docs
-> Idris () |